#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 3

Name:           ring-kde
Summary:        The KDE client for the Ring communication framework
Version: 2.3.0
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2+
URL:            https://ring.cx/
Source0:        http://download.kde.org/stable/ring-kde/%{version}/src/%{name}-%{version}.tar.xz
Patch0:         ring-kde-2.3.0-use-ki18n_install-for-translations.patch
Patch1:         ring-kde-2.3.0-fix-desktop-file.patch

ExcludeArch:    armv5tl

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5PrintSupport)

BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5GuiAddons)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Init)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5NotifyConfig)
BuildRequires:  cmake(KF5GlobalAccel)

BuildRequires:  cmake(KF5Akonadi)
BuildRequires:  cmake(KF5AkonadiContact)
BuildRequires:  cmake(KF5Contacts)

BuildRequires:  cmake(LibRingClient)

Requires:       ring-daemon

Obsoletes:      sflphone-kde < 2.3.0
Provides:       sflphone-kde = %version-%release

%description
The KDE client for the Ring communication framework.

%files -f %{name}.lang
%_kf5_bindir/ring
%_kf5_bindir/ring-kde
%_kf5_appdatadir/cx.ring.ring-kde.appdata.xml
%_kf5_applicationsdir/ring-kde.desktop
%_kf5_datadir/config.kcfg/ring-kde.kcfg
%_datadir/dbus-1/interfaces/cx.ring.ring-kde.xml
%_kf5_iconsdir/*/*/*/*
%_kf5_knotificationsdir/ring-kde.notifyrc
%dir %_kf5_datadir/kxmlgui5/ring-kde
%_kf5_datadir/kxmlgui5/ring-kde/ring-kdeui.rc
%_kf5_datadir/ring-kde/

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5

%make_build

%install
%make_install -C build

%find_lang %{name} --all-name

# Fix gzipped-svg-icon
(
cd %{buildroot}%{_iconsdir}/hicolor/scalable/apps/
zcat ring-kde.svgz > ring-kde.svg && rm -f ring-kde.svgz
)


%changelog
* Mon Jan 02 2017 daviddavid <daviddavid> 2.3.0-3.mga6
+ Revision: 1079724
- requires ring-daemon

* Mon Jan 02 2017 neoclust <neoclust> 2.3.0-2.mga6
+ Revision: 1079709
- imported package ring-kde

